Joomla 2.5 Compatible Hosting Companies

See our list of Joomla 2.5 compatible hosting companies. We have done the research and gathered all that support 2.5.

Steven Johnson
by | Posted: January 13, 2012 | Updated: June 11, 2013
Blog Post Image 734px Wide

Joomla 2.5 is the long awaited follow up to the established Joomla 1.5 version. 2.5 will be supported until the release of 3.5.

See the list of Joomla 3.0 compatible companies

Most of the hosting requirements are the same as the earlier versions of Joomla and most hosting companies should be able to support Joomla, but here is a list of companies that we are 100% sure will support Joomla. 

How do we know?  Because we have personally set up a Joomla site at each of these hosting companies.

Without further adieu here are the best compatible companies for Joomla 2.5.

Joomla 2.5 Compatible Companies

  1. hostgator-logoHostGator
    They have always stayed on top of the latest Joomla releases. Their custom made QuickInstall software is updated by them and supports the newest releases.
    Read HostGator Joomla hosting review
    See HostGator Joomla install guides

  2. site5-logoSite5
    Site5 works hard to stay up to date with the latest releases. You can install Joomla 2.5 manually as soon as it's available or wait until Softaculous or Fantastico support it.
    Read Site5 Joomla hosting Review
    See Site5 Joomla install guides

  3. media-templeMedia Temple
    Staying up to date with Media Temple is easy. They ensure that all of the hosting servers are up to date and are running required software for Joomla 2.5 to work without error.
    Read Media Temple hosting review

  4. rochen-180Rochen
    Keep Joomla up to date quickly and easily by using Rochen's Joomla Utility. This is their custom Joomla install and migration tool.
    Read Rochen Joomla hosting review
    See Rochen Joomla install guides

  5. bluehost-logoBluehost
    They keep their servers up to date with the recommended technology to keep Joomla running smoothly. Joomla 2.5 is supported and available through Bluehost's Simple Scripts installer.
    Read Bluehost Joomla hosting review
    See Bluehost Joomla install guides

Hosting Compatibility for Joomla 2.5

Software Recommended Minimum

PHP

5.3 + 5.2.4+
MySQL 5.0.4 + 5.0.4 +
Apache 2.x + 2.x +
Microsoft IIS 7 7

To learn more about Joomla system requirements visit Joomla.org’s Technical Requirements Page

When Joomla 2.5 is released, each of these companies are expected to handle implementation similarly by meeting the minimal system requirements and offering easy install solutions.

Bookmark this page to stay up to date with each companies installation and Joomla 2.5 hosting solutions.

Site5's Advice About Joomla 2.5 Upgrade

Derek Stringer, Support Specialist at Site5 says,

"You are allowed to upgrade the script as needed, and should be able to upgrade it to 2.5 upon release. As far as us adding it to the Softaculous/Fantastico scripts, those are out of our control as they are third-party scripts and they choose when to upgrade the version available for easy-installation...Anyone needing to do the upgrade, I would also recommend creating a backup before proceeding in case anything goes awry....We do keep thirty days of snapshot backups on file, but they run nightly, so for instance if changes to their sites were made today, they would lose those changes if we restored to last night. It's always best to make a backup just before any major changes like this."

Visit: http://site5.com

Steven Johnson

Steven is a Joomla web developer and worked with Joomla since the Mambo days. He has built websites for startup businesses all the way to for Fortune 500 companies. A graduate of Georgia Tech in Chemical Engineering, he now happily spends his time building websites and reviewing all types of technology.

×

Get Hosting Coupons & the Best Joomla Guides and Resources

Sign Up for our newsletter and get access to Exclusive Hosting Deals, as well as montly Joomla tips, tricks & resources.